MPOPD(1)

NAME
mpopd - A minimal POP3 server

SYNOPSIS
mpopd [option...]

DESCRIPTION
Mpopd is a minimal POP3 server that delivers mails from a local mailbox in maildir format. It can be used by end users as a way to handle incoming mail via mpop with mail clients that insist on using POP3. See the EXAMPLES section below.
Mpopd listens on 127.0.0.1 port 1100 by default, but can also run without its own network sockets in inetd mode, where it handles a single POP3 session on standard input / output.
To prevent abuse, mpopd will allow only a limited number of concurrent POP3 sessions, and an authentication failure occurrs, future authentication requests in any POP3 session will (for a limited duration) only be answered after a small delay.

OPTIONS

--version
    Print version information

--help
    Print help

--inetd
    Start single POP3 session on stdin/stdout

--interface=ip
    Listen on the given IPv6 or IPv4 address instead of 127.0.0.1

--port=number
    Listen on the given port number instead of 25

--log=none|syslog|filename
    Set logging: none (default), syslog, or logging to the given file.

--auth=user[,passwordeval]
    Require authentication with this user name. The password will be retrieved from the given passwordeval command (this works just like passwordeval in mpop) or, if none is given, from the key ring or, if that fails, from a prompt.

--maildir=dir
    Use this maildir as the mailbox.

EXAMPLES
Using mpopd to handle incoming mail for a POP3-based mail client
Some mail clients cannot get incoming mail from local files and instead insist on using a POP3 server. You can configure mpopd to be that POP3 server and serve your incoming mail from a local maildir folder.
(Similarly, some mail clients cannot send outgoing mail via a program such as msmtp and instead insist on using an SMTP server. You can configure msmtpd to be that SMTP server and hand the mail over to msmtp. See the relevant section in the msmtp manual.)
For this purpose, mpopd should listen on an unprivileged port, e.g. 1100 (the default). A mailbox is defined using first the --auth option to set a user name and password and then using the --maildir option to specify the maildir folder that holds the incoming mail. Multiple such option pairs can be used to define multiple mailboxes, e.g. from different remote mail accounts. Programs such as mpop can deliver new mail into the maildir folders at any time, but as long as mpopd is running no other programs may alter or remove mails from these folders.
Let's use the user name mpopd-user. You have two options to manage the password:

    Store the password in your key ring, e.g. with secret-tool store --label=mpopd host localhost service pop3 user mpopd-user. In this case, use the mpopd option --auth=mpopd-user.

    Store the password in an encrypted file and use the passwordeval mechanism. Example for gpg: mpopd ... --auth=mpopd-user,'gpg -q -d ~/.mpopd-password.gpg'

The complete command then is (using the keyring): mpopd --auth=mpopd-user --maildir=/path/to/your/maildir/folder
The mail client software must then be configured to use localhost at port 1100 for incoming mail via POP3, and to use authentication with user mpopd-user and the password you chose. The mail client will probably complain that the POP3 server does not support TLS, but in this special case that is ok since all communication between your mail client and mpopd will stay on the local machine.

SEE ALSO
mpop(1)